function [ communitiesPeople, communitiesPapers ] = CombineCommunities(  bipartiteGraph, numLeftSet, communitiesPeople, communitiesPapers)
%This function is used to combine entire communities that are similar

    %Determines the unique number of communities
    uniqueCommunitiesPeople = unique(communitiesPeople);
    uniqueCommunitiesPapers = unique(communitiesPapers);

    %Connections between people-people and papers-papers
    connectionSubGraphPeople = bipartiteGraph(1:numLeftSet, 1:numLeftSet);
    connectionSubGraphPapers = bipartiteGraph(numLeftSet+1:end, numLeftSet+1:end);    
    
    %Combine communities on each side of the bipartite graph
    [ communitiesPapers ] = CombineCommOneSide( uniqueCommunitiesPapers, communitiesPapers, connectionSubGraphPapers );
    [ communitiesPeople ] = CombineCommOneSide( uniqueCommunitiesPeople, communitiesPeople, connectionSubGraphPeople );    
end