function [ simScores ] = MarkovTransitionSimScore( adjMatrix )
%Computes the matrix of similarity scores using the method proposed in 
%Zhou et. al
    n = length(adjMatrix);
    
%     transition2 = adjMatrix^2;
%     simScores2 = transition2./repmat(sum(transition2,2),1,n);
%     transition3 = adjMatrix^3;
%     simScores3 = transition3./repmat(sum(transition3,2),1,n);
%     
%     simScores = simScores2 + simScores3;
    
    transition = adjMatrix./repmat(sum(adjMatrix,1),n, 1);
    transition = transition';
    simScores2 = transition^2;
    simScores3 = transition^3;
    
    simScores = simScores2 + simScores3;
    eyeN = eye(n) == 1;
    
    simScores(eyeN) = 0;
end

