function [ simScore ] = MutualInformation( actual, predicted )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
    n = length(actual);
    
    matAct = repmat(actual, 1, n);
    matPredicted = repmat(predicted,1, n);
    indMat = repmat(1:n, n, 1);
    
    P_i = double(matAct == indMat);
    P_j = double(matPredicted == indMat);
    
    pi = sum(P_i)/n;
    pj = sum(P_j)/n;
    
    P_j = P_j';
    P_ij_mat = P_j*P_i/n;
    
    simScore = 0;
    for i = 1:n
        P_ij = P_ij_mat(i,:);
        
        if sum(P_ij > 0) > 0
            simScore = simScore + P_ij(P_ij > 0)*(log2(P_ij(P_ij > 0)./(pi(P_ij > 0)*pj(i)))');
        end
    end
    
    denom = pi(pi >0)*(log2(pi(pi>0))') + pj(pj >0)*(log2(pj(pj>0))');
    simScore = -2*simScore/denom;
end

