function map = map_reconstruct(mu,v,f,ring,constraint_x,constraint_y,method)

if length(v) == size(v,2)
    v = v';
end
if length(f) == size(f,2)
    f = f';
end

[af,bf,gf,tri_area] = compute_info(v,f,real(mu),imag(mu));

if length(tri_area(any(tri_area,2),:)) ~= length(tri_area)
    error('Triangles with zero area exists !');
end

[I,J,Val,d1] = defineA(v,f,af,bf,gf,tri_area,constraint_x,ring);
A = sparse(I,J,Val,size(v,1),size(v,1));
umap = A\d1;

if method == 0
    [I2,J2,Val2,d2] = defineB(v, f, af,bf,gf,tri_area,constraint_y,ring);
    B = sparse(I2,J2,Val2,size(v,1),size(v,1));
    vmap = B\d2;

    map = [umap';vmap';ones(1,size(umap,1))];
elseif method == 1
    H = 0;
    for i = 1:size(f,1)
        vp = f(i,:)';
        ux = umap(vp(1,1))*(v(vp(2,1),2) - v(vp(3,1),2)) -...
            umap(vp(2,1))*(v(vp(1,1),2) - v(vp(3,1),2)) +...
            umap(vp(3,1))*(v(vp(1,1),2) - v(vp(2,1),2));
        uy = umap(vp(2,1))*(v(vp(1,1),1) - v(vp(3,1),1)) -...
            umap(vp(1,1))*(v(vp(2,1),1) - v(vp(3,1),1)) -...
            umap(vp(3,1))*(v(vp(1,1),1) - v(vp(2,1),1));
        H = H + (af(i)*ux^2+2*bf(i)*ux*uy+gf(i)*uy^2)/tri_area(i);
    end
    H = H/4;
    constraint_y(:,2) = constraint_y(:,2)*H;
    [I2,J2,Val2,d2] = defineB(v,f,af,bf,gf,tri_area,constraint_y,ring);
    B = sparse(I2,J2,Val2,size(v,1),size(v,1));
    vmap = B\d2;
    map = [umap';vmap';ones(1,size(umap,1))];
else
    error('Method type should be either "0" or "1"');
end

end