function [fn,gam] = mainWarpingWithReference(t,f, dispFlag)

%Reference is in the first column

if(dispFlag)
figure, axes('FontSize',20);
plot(t, f(:, 1),'*-', t, f(:, 2:end), '+-', 'LineWidth', 1);%, 'linewidth', 2
set(gca,'fontsize', 16);
title('Original data', 'fontsize', 16);
legend('Reference', 'Impromptu1','Impromptu2','Impromptu3')
%pause(0.1);
%pause;
end

binsize = mean(diff(t));
[M, N] = size(f);
f0 =f;
lambda = 0;

% compute the q-function of the plot 
for i = 1:N
    q(:,i) = gradient(f(:,i), binsize)./sqrt(abs(gradient(f(:,i), binsize))+eps);
end

%%% set initial using the original f space
fnew = zeros(M, N-1);
for k = 2:N
    q_c = q(:,1)'; mq_c = q(:, k)';
    gam0 = DynamicProgrammingQ(mq_c,q_c, lambda,0);
    gam(k-1,:) = (gam0-gam0(1))/(gam0(end)-gam0(1));  % slight change on scale
    fnew(:,k-1) = interp1(t, f(:,k), (t(end)-t(1)).*gam(k-1,:) + t(1))'; 
end
fn = fnew;


if(dispFlag)
    figure, axes('FontSize',16);
    plot((0:M-1)/(M-1), (0:M-1)/(M-1)),%, 'Color', [205,205,205]/255
    hold on
    plot((0:M-1)/(M-1), gam, '.-', 'LineWidth', 1.5,'Markersize', 10);%, 'linewidth', 2
    axis square;
    set(gca,'fontsize', 16);
    legend('Reference','impromptu1','impromptu2','impromptu3')
    plot((0:M-1)/(M-1), (0:M-1)/(M-1), 'Color', [205,205,205]/255)
    %title('Warping functions', 'fontsize', 16);


    figure, axes('FontSize',16);
    plot(t, f(:, 1), '*-', t, fnew, '+-', 'LineWidth', 1); hold on;%
    %plot(t, mean(fn'), 'k-+','LineWidth',3);
    set(gca,'fontsize', 16);
    legend('Reference','impromptu1','impromptu2','impromptu3')
    %title('Warped data', 'fontsize', 16);

end
